FROM golang:alpine AS build

WORKDIR /opt/app-root
ENV GOPATH=/opt/app-root/
COPY src src
WORKDIR /opt/app-root/src/monkey/
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -o monkey

FROM scratch
#FROM ubi8/ubi-minimal

WORKDIR /opt/app-root
ENV GOPATH=/opt/app-root/
ENV HOME=/opt/app-root/
COPY --from=build /opt/app-root/src/monkey/monkey /opt/app-root/monkey
COPY --from=build /etc/passwd /etc/passwd 
COPY --from=build /opt/app-root/src/monkey/templates/* /opt/app-root/templates/
COPY --from=build /opt/app-root/src/monkey/images/* /opt/app-root/images/

USER 1001
EXPOSE 8080

ENTRYPOINT ["/opt/app-root/monkey"]
CMD ["/opt/app-root/monkey"]
